#include "stdint.h"
const uint8_t freq[7494] = {
    0,  6,  5,  4,  8,  7,  7,  3,  3,  6,  1,  4,  5,  3,  3,  4,  1,  4,  6,  3,  3,  5,  8,  8,  4,  2,  5,  8,  1,
    4,  2,  4,  9,  6,  6,  3,  5,  7,  4,  9,  4,  5,  5,  3,  6,  3,  6,  7,  6,  4,  4,  7,  13, 90, 91, 92, 92, 88,
    88, 88, 89, 89, 89, 83, 83, 88, 87, 86, 92, 90, 88, 89, 85, 87, 83, 84, 87, 87, 84, 83, 87, 81, 85, 86, 93, 89, 90,
    87, 87, 83, 83, 90, 93, 92, 90, 84, 86, 82, 80, 88, 91, 89, 88, 84, 82, 86, 84, 86, 90, 88, 83, 84, 80, 83, 81, 87,
    85, 86, 88, 83, 84, 83, 84, 92, 90, 90, 88, 84, 83, 82, 83, 85, 80, 83, 84, 83, 81, 81, 85, 86, 87, 84, 85, 80, 81,
    82, 83, 91, 87, 88, 83, 83, 80, 78, 85, 84, 85, 81, 81, 79, 79, 76, 90, 90, 90, 90, 86, 85, 82, 82, 89, 84, 83, 86,
    81, 78, 81, 84, 91, 87, 87, 84, 81, 73, 77, 87, 92, 89, 87, 83, 85, 84, 82, 88, 87, 85, 88, 85, 72, 81, 79, 86, 89,
    88, 88, 85, 84, 75, 81, 95, 93, 87, 84, 86, 87, 85, 81, 85, 80, 79, 78, 79, 81, 80, 86, 91, 90, 89, 85, 86, 87, 85,
    85, 85, 81, 81, 79, 72, 73, 74, 88, 92, 93, 88, 88, 86, 86, 80, 89, 90, 87, 79, 81, 82, 76, 82, 83, 80, 85, 82, 81,
    84, 80, 85, 88, 89, 88, 83, 77, 74, 78, 86, 89, 87, 82, 83, 85, 83, 80, 86, 82, 81, 83, 83, 83, 77, 79, 93, 88, 82,
    83, 81, 80, 83, 79, 87, 86, 81, 82, 81, 75, 67, 81, 88, 89, 90, 89, 84, 85, 83, 88, 91, 87, 89, 86, 85, 84, 79, 88,
    89, 88, 87, 85, 82, 81, 82, 87, 87, 85, 81, 84, 85, 82, 83, 88, 88, 89, 87, 86, 78, 83, 85, 90, 87, 86, 83, 83, 81,
    77, 84, 91, 92, 90, 88, 87, 83, 82, 89, 88, 89, 88, 84, 81, 84, 80, 82, 86, 87, 85, 81, 82, 79, 79, 88, 87, 84, 82,
    78, 78, 77, 80, 90, 90, 88, 87, 86, 84, 81, 87, 90, 87, 91, 87, 86, 81, 82, 84, 84, 86, 83, 84, 78, 80, 79, 87, 85,
    87, 84, 80, 82, 78, 78, 88, 87, 87, 85, 86, 84, 83, 84, 89, 87, 86, 86, 84, 81, 78, 84, 86, 86, 88, 87, 84, 81, 76,
    89, 92, 88, 84, 83, 81, 81, 78, 90, 86, 87, 89, 85, 81, 81, 82, 92, 89, 85, 84, 86, 86, 80, 79, 90, 91, 91, 89, 82,
    82, 80, 81, 89, 92, 93, 92, 89, 83, 80, 84, 90, 85, 84, 85, 86, 80, 75, 85, 88, 88, 88, 88, 89, 87, 82, 91, 91, 90,
    89, 86, 85, 81, 81, 94, 88, 85, 84, 88, 88, 83, 79, 88, 85, 87, 83, 85, 83, 77, 83, 92, 91, 90, 86, 79, 78, 76, 85,
    85, 85, 76, 81, 83, 79, 76, 88, 86, 82, 87, 88, 88, 86, 82, 85, 82, 80, 87, 88, 86, 83, 84, 86, 81, 79, 83, 83, 83,
    82, 83, 94, 92, 90, 93, 88, 92, 90, 87, 83, 89, 85, 87, 90, 87, 87, 90, 87, 85, 89, 85, 85, 91, 89, 91, 88, 89, 87,
    90, 88, 89, 91, 91, 92, 88, 88, 91, 88, 88, 85, 85, 88, 85, 84, 82, 82, 84, 86, 91, 90, 88, 85, 86, 86, 86, 84, 86,
    87, 87, 86, 83, 84, 81, 87, 89, 87, 88, 86, 87, 86, 80, 86, 87, 83, 82, 81, 79, 84, 81, 89, 92, 89, 91, 86, 84, 88,
    88, 90, 86, 88, 88, 87, 86, 88, 90, 90, 91, 89, 91, 89, 88, 89, 88, 83, 83, 83, 76, 81, 78, 81, 87, 87, 87, 88, 84,
    87, 85, 87, 87, 85, 87, 87, 86, 84, 87, 87, 88, 87, 90, 90, 85, 86, 87, 86, 81, 78, 84, 81, 80, 79, 80, 86, 87, 87,
    89, 88, 84, 87, 86, 91, 93, 93, 91, 91, 89, 89, 87, 89, 88, 88, 85, 87, 89, 86, 87, 87, 84, 85, 86, 89, 87, 83, 81,
    90, 87, 87, 88, 87, 86, 86, 88, 85, 84, 83, 86, 83, 85, 82, 85, 86, 88, 88, 88, 83, 87, 88, 88, 86, 83, 85, 83, 82,
    82, 78, 90, 90, 89, 87, 89, 87, 87, 87, 84, 86, 83, 86, 86, 88, 84, 87, 87, 88, 87, 86, 85, 84, 82, 87, 90, 91, 92,
    92, 89, 87, 81, 88, 91, 91, 90, 92, 91, 88, 89, 87, 88, 89, 87, 85, 87, 86, 87, 91, 91, 87, 88, 88, 90, 88, 83, 85,
    81, 84, 85, 84, 83, 82, 87, 87, 84, 87, 88, 88, 84, 83, 90, 88, 89, 91, 92, 90, 90, 88, 84, 87, 85, 85, 87, 85, 87,
    84, 81, 82, 82, 78, 81, 82, 79, 79, 90, 89, 90, 86, 87, 84, 87, 87, 86, 86, 85, 79, 83, 82, 78, 89, 89, 84, 87, 87,
    86, 83, 84, 82, 83, 84, 85, 79, 77, 82, 83, 85, 90, 88, 85, 86, 85, 87, 88, 88, 86, 89, 89, 88, 85, 88, 89, 90, 89,
    87, 84, 85, 84, 84, 83, 82, 84, 82, 82, 82, 83, 79, 87, 87, 86, 87, 88, 84, 84, 85, 89, 84, 85, 88, 89, 85, 84, 85,
    92, 89, 87, 88, 90, 90, 88, 88, 90, 89, 88, 86, 82, 78, 78, 84, 89, 85, 88, 87, 84, 86, 83, 88, 88, 88, 88, 89, 88,
    89, 89, 91, 89, 89, 86, 89, 89, 87, 88, 87, 89, 86, 83, 87, 83, 88, 89, 91, 90, 89, 89, 86, 86, 89, 90, 91, 89, 89,
    89, 88, 86, 85, 87, 89, 87, 88, 86, 85, 85, 86, 87, 83, 79, 82, 79, 80, 80, 84, 85, 88, 87, 87, 82, 82, 85, 86, 86,
    87, 88, 86, 90, 88, 83, 85, 89, 87, 88, 84, 85, 84, 84, 87, 90, 90, 90, 89, 85, 84, 87, 88, 88, 85, 85, 82, 84, 83,
    83, 89, 86, 87, 87, 88, 87, 81, 81, 96, 94, 92, 89, 89, 85, 91, 87, 84, 83, 83, 82, 83, 84, 83, 88, 96, 92, 87, 89,
    88, 90, 87, 92, 88, 90, 90, 91, 91, 88, 87, 95, 95, 88, 90, 89, 88, 86, 86, 88, 82, 83, 83, 81, 83, 80, 84, 97, 93,
    93, 91, 91, 89, 88, 88, 83, 85, 82, 82, 82, 83, 78, 88, 97, 92, 91, 87, 85, 89, 88, 88, 86, 85, 83, 81, 81, 80, 80,
    96, 93, 91, 86, 87, 87, 90, 89, 90, 89, 91, 88, 90, 87, 87, 87, 99, 93, 91, 89, 89, 88, 90, 86, 86, 82, 83, 83, 82,
    79, 78, 92, 96, 93, 88, 90, 88, 87, 86, 93, 88, 90, 89, 86, 85, 80, 86, 97, 94, 91, 89, 93, 93, 89, 90, 84, 83, 81,
    79, 83, 84, 83, 88, 96, 94, 89, 89, 89, 87, 89, 88, 88, 84, 86, 86, 87, 87, 87, 94, 93, 92, 91, 88, 86, 89, 88, 84,
    89, 89, 90, 87, 88, 89, 88, 97, 94, 91, 91, 90, 91, 87, 89, 85, 83, 83, 81, 82, 83, 82, 90, 96, 91, 90, 89, 87, 91,
    89, 86, 84, 83, 85, 85, 82, 79, 81, 95, 92, 90, 90, 89, 87, 91, 88, 88, 88, 88, 90, 91, 90, 86, 88, 97, 91, 91, 90,
    86, 88, 87, 89, 84, 87, 88, 85, 87, 87, 86, 94, 95, 92, 88, 91, 88, 88, 91, 86, 86, 88, 89, 89, 87, 88, 88, 97, 93,
    89, 90, 90, 89, 88, 89, 86, 84, 83, 80, 80, 85, 84, 88, 97, 93, 91, 91, 88, 89, 87, 88, 88, 89, 90, 85, 88, 87, 89,
    94, 95, 92, 90, 83, 90, 90, 89, 88, 85, 82, 81, 78, 80, 79, 81, 91, 95, 92, 89, 88, 89, 87, 88, 82, 83, 81, 83, 83,
    81, 78, 90, 97, 92, 89, 89, 88, 88, 90, 89, 83, 83, 80, 79, 81, 83, 81, 96, 95, 92, 88, 90, 88, 87, 90, 87, 85, 88,
    86, 86, 86, 86, 88, 97, 90, 89, 91, 90, 87, 87, 90, 80, 82, 80, 83, 80, 77, 78, 92, 97, 89, 89, 90, 86, 89, 85, 90,
    90, 86, 89, 86, 88, 88, 85, 96, 91, 91, 90, 88, 90, 87, 89, 83, 82, 81, 82, 82, 79, 80, 89, 97, 92, 92, 89, 88, 90,
    89, 90, 85, 89, 89, 87, 86, 82, 85, 94, 95, 93, 88, 91, 89, 89, 89, 90, 88, 87, 86, 86, 85, 86, 84, 99, 93, 91, 90,
    88, 85, 88, 90, 90, 89, 90, 89, 88, 88, 89, 92, 96, 92, 89, 88, 88, 90, 84, 86, 82, 85, 80, 79, 77, 80, 80, 96, 92,
    90, 92, 88, 88, 88, 90, 85, 88, 87, 85, 84, 86, 87, 85, 97, 91, 89, 91, 87, 86, 88, 89, 88, 88, 89, 88, 86, 87, 83,
    89, 95, 90, 89, 90, 87, 88, 88, 88, 88, 88, 90, 88, 89, 89, 87, 95, 93, 92, 93, 91, 89, 87, 85, 90, 88, 87, 85, 88,
    85, 85, 94, 89, 86, 89, 90, 89, 88, 88, 88, 88, 86, 87, 89, 87, 88, 87, 93, 89, 85, 83, 87, 89, 86, 86, 85, 83, 82,
    87, 89, 84, 84, 87, 94, 88, 90, 91, 89, 89, 90, 87, 86, 85, 83, 84, 83, 82, 79, 94, 91, 86, 88, 90, 88, 83, 83, 87,
    82, 82, 78, 88, 81, 82, 80, 94, 88, 86, 85, 87, 89, 86, 85, 91, 84, 81, 85, 88, 79, 84, 88, 92, 87, 88, 85, 88, 88,
    85, 87, 84, 84, 80, 85, 84, 80, 81, 95, 87, 84, 87, 89, 82, 87, 81, 94, 85, 83, 84, 83, 83, 83, 89, 93, 84, 86, 85,
    85, 88, 89, 89, 84, 78, 81, 82, 85, 78, 78, 90, 92, 89, 81, 83, 85, 83, 84, 85, 87, 85, 85, 86, 82, 82, 84, 96, 87,
    87, 86, 87, 84, 86, 84, 90, 85, 83, 87, 87, 85, 86, 88, 95, 85, 88, 87, 87, 83, 85, 84, 87, 85, 82, 84, 87, 80, 83,
    95, 90, 84, 86, 83, 84, 84, 82, 86, 83, 82, 75, 88, 78, 78, 81, 92, 87, 87, 86, 84, 85, 82, 82, 89, 86, 88, 88, 89,
    85, 80, 88, 90, 86, 79, 85, 86, 82, 84, 86, 87, 83, 85, 87, 86, 84, 85, 94, 87, 84, 84, 89, 84, 84, 82, 89, 89, 86,
    88, 86, 81, 86, 90, 95, 88, 87, 84, 83, 82, 83, 89, 96, 86, 90, 83, 81, 73, 80, 91, 94, 85, 85, 85, 80, 79, 80, 96,
    90, 87, 89, 86, 81, 82, 83, 94, 88, 87, 87, 83, 84, 81, 82, 98, 86, 89, 87, 84, 79, 81, 86, 96, 87, 88, 88, 85, 85,
    82, 90, 94, 86, 86, 85, 78, 78, 80, 95, 92, 89, 89, 81, 82, 81, 80, 98, 89, 83, 88, 79, 76, 82, 79, 98, 89, 88, 88,
    84, 80, 76, 86, 95, 84, 89, 88, 81, 82, 82, 89, 95, 82, 87, 85, 82, 76, 83, 93, 91, 84, 90, 81, 80, 81, 76, 96, 88,
    86, 88, 81, 81, 80, 84, 95, 86, 91, 87, 85, 85, 80, 86, 97, 93, 88, 91, 97, 88, 90, 89, 97, 94, 90, 91, 93, 91, 90,
    93, 93, 87, 88, 96, 94, 91, 89, 95, 93, 89, 90, 97, 91, 90, 87, 96, 90, 87, 88, 96, 86, 91, 89, 96, 88, 91, 90, 97,
    89, 92, 93, 95, 87, 90, 91, 96, 84, 89, 93, 93, 86, 90, 95, 92, 87, 90, 84, 79, 76, 76, 77, 72, 75, 75, 73, 74, 69,
    66, 68, 67, 65, 67, 69, 68, 63, 64, 61, 61, 60, 67, 69, 64, 61, 60, 62, 63, 65, 68, 77, 78, 74, 77, 76, 79, 79, 77,
    80, 82, 82, 75, 71, 75, 79, 92, 91, 92, 94, 92, 93, 92, 91, 90, 89, 87, 89, 87, 85, 83, 83, 95, 94, 91, 89, 89, 91,
    88, 88, 82, 74, 67, 77, 91, 92, 93, 96, 97, 91, 91, 90, 84, 89, 88, 90, 88, 92, 93, 92, 92, 94, 93, 95, 96, 91, 89,
    90, 89, 90, 90, 84, 82, 81, 82, 94, 90, 94, 95, 96, 94, 89, 91, 91, 89, 89, 85, 93, 92, 94, 93, 93, 95, 94, 96, 95,
    92, 86, 90, 89, 86, 87, 85, 79, 81, 83, 94, 93, 95, 95, 96, 94, 90, 90, 88, 84, 90, 88, 92, 88, 94, 94, 92, 93, 93,
    92, 98, 91, 90, 91, 88, 92, 88, 88, 83, 79, 80, 89, 87, 93, 94, 97, 93, 92, 90, 90, 88, 88, 89, 93, 92, 96, 96, 96,
    96, 95, 95, 94, 92, 91, 90, 90, 88, 89, 88, 84, 78, 74, 83, 94, 93, 94, 93, 97, 91, 91, 88, 88, 87, 88, 92, 90, 90,
    91, 95, 94, 95, 94, 93, 95, 91, 87, 90, 88, 90, 89, 94, 95, 96, 97, 97, 97, 98, 97, 97, 93, 89, 90, 88, 90, 88, 90,
    94, 94, 97, 97, 97, 95, 96, 96, 97, 90, 88, 90, 90, 90, 90, 86, 78, 79, 77, 93, 93, 96, 97, 97, 94, 90, 89, 91, 88,
    88, 85, 96, 95, 97, 97, 97, 97, 96, 93, 97, 92, 90, 90, 89, 90, 88, 86, 84, 78, 82, 91, 91, 94, 96, 97, 96, 91, 90,
    88, 87, 87, 88, 94, 92, 94, 95, 95, 96, 96, 93, 98, 94, 91, 88, 87, 87, 88, 89, 84, 77, 75, 82, 91, 92, 93, 92, 97,
    92, 91, 88, 89, 88, 86, 88, 89, 92, 94, 94, 94, 95, 93, 95, 94, 90, 90, 88, 87, 89, 87, 88, 81, 84, 85, 94, 89, 89,
    93, 98, 93, 90, 91, 89, 90, 90, 88, 88, 92, 93, 95, 94, 95, 94, 91, 97, 92, 91, 88, 89, 87, 85, 87, 78, 80, 81, 92,
    90, 93, 90, 98, 93, 92, 89, 89, 89, 87, 86, 92, 88, 93, 94, 94, 94, 93, 92, 98, 93, 91, 90, 88, 89, 89, 89, 83, 80,
    77, 86, 92, 93, 94, 96, 96, 92, 86, 91, 87, 87, 89, 93, 92, 96, 95, 95, 95, 92, 95, 96, 91, 90, 86, 88, 89, 85, 88,
    81, 76, 75, 80, 92, 94, 96, 94, 96, 89, 90, 86, 89, 89, 88, 93, 89, 93, 94, 95, 96, 96, 97, 96, 96, 91, 89, 89, 88,
    88, 88, 94, 94, 93, 93, 93, 94, 95, 94, 98, 92, 90, 88, 85, 86, 90, 89, 95, 95, 97, 97, 98, 96, 97, 95, 96, 92, 90,
    89, 89, 89, 90, 83, 73, 75, 82, 91, 90, 92, 95, 97, 94, 90, 90, 89, 90, 89, 86, 94, 90, 92, 93, 96, 94, 95, 94, 98,
    92, 91, 90, 89, 89, 89, 85, 82, 80, 83, 86, 93, 91, 95, 93, 96, 91, 91, 89, 87, 89, 87, 94, 92, 93, 94, 91, 94, 93,
    90, 97, 94, 91, 90, 91, 89, 89, 89, 80, 77, 74, 84, 89, 92, 94, 94, 97, 92, 89, 89, 90, 87, 88, 91, 92, 93, 94, 93,
    95, 93, 94, 95, 95, 91, 90, 88, 85, 90, 89, 85, 79, 82, 83, 94, 91, 94, 94, 98, 92, 90, 89, 88, 88, 87, 90, 93, 92,
    95, 94, 91, 93, 91, 95, 96, 93, 90, 88, 86, 89, 87, 85, 80, 82, 81, 93, 92, 95, 94, 97, 95, 91, 89, 91, 87, 89, 90,
    94, 91, 94, 94, 94, 93, 93, 93, 98, 93, 91, 87, 89, 86, 87, 89, 83, 77, 77, 85, 92, 94, 93, 95, 95, 90, 90, 89, 87,
    88, 89, 91, 95, 95, 94, 95, 95, 93, 94, 98, 92, 91, 89, 90, 88, 90, 87, 85, 73, 78, 83, 90, 92, 94, 94, 98, 91, 92,
    91, 87, 91, 89, 91, 86, 91, 95, 95, 96, 96, 96, 93, 94, 91, 89, 88, 88, 87, 86, 92, 92, 93, 97, 94, 97, 97, 97, 96,
    92, 91, 89, 89, 88, 85, 90, 95, 94, 96, 97, 97, 97, 97, 92, 98, 92, 90, 89, 90, 87, 86, 89, 75, 79, 79, 91, 87, 92,
    94, 96, 95, 91, 89, 90, 89, 87, 84, 93, 88, 96, 95, 95, 96, 96, 95, 98, 93, 91, 90, 89, 90, 88, 87, 82, 79, 82, 87,
    89, 89, 93, 96, 96, 92, 90, 90, 84, 89, 87, 93, 84, 92, 94, 94, 95, 93, 95, 98, 93, 91, 90, 87, 90, 85, 87, 83, 81,
    78, 86, 90, 91, 91, 95, 96, 92, 91, 89, 91, 89, 88, 90, 92, 93, 94, 90, 93, 94, 93, 95, 93, 92, 90, 90, 88, 90, 90,
    84, 83, 85, 83, 93, 88, 91, 93, 97, 91, 91, 89, 92, 87, 90, 89, 94, 92, 94, 93, 94, 95, 89, 94, 96, 93, 87, 91, 86,
    89, 90, 87, 84, 85, 87, 91, 89, 93, 92, 96, 94, 91, 88, 85, 84, 91, 90, 93, 87, 91, 94, 93, 93, 93, 94, 99, 93, 89,
    91, 87, 89, 88, 87, 82, 84, 78, 86, 88, 91, 93, 95, 96, 92, 90, 88, 91, 88, 87, 91, 92, 93, 95, 96, 94, 95, 94, 97,
    93, 90, 89, 90, 90, 89, 89, 84, 81, 78, 83, 95, 94, 95, 95, 95, 92, 90, 89, 87, 86, 89, 93, 92, 92, 95, 95, 95, 95,
    95, 94, 96, 92, 90, 89, 90, 87, 89, 93, 93, 97, 97, 97, 98, 97, 97, 97, 93, 88, 89, 88, 87, 87, 88, 92, 91, 93, 90,
    93, 94, 93, 95, 95, 92, 88, 87, 88, 89, 90, 87, 80, 79, 79, 89, 92, 96, 97, 97, 94, 90, 91, 87, 89, 89, 87, 90, 87,
    94, 90, 94, 90, 88, 91, 85, 85, 85, 85, 86, 84, 84, 85, 86, 82, 82, 84, 85, 84, 85, 84, 84, 79, 84, 88, 87, 88, 88,
    85, 84, 85, 89, 81, 88, 89, 90, 96, 90, 92, 92, 87, 88, 87, 87, 82, 88, 84, 80, 86, 86, 85, 86, 80, 84, 85, 85, 85,
    82, 84, 82, 85, 81, 84, 83, 83, 83, 83, 81, 81, 85, 83, 87, 82, 79, 84, 81, 81, 81, 83, 78, 77, 82, 83, 83, 80, 82,
    84, 82, 82, 82, 76, 81, 84, 81, 80, 77, 79, 81, 76, 78, 78, 78, 81, 83, 84, 79, 80, 78, 79, 82, 77, 78, 78, 77, 79,
    74, 77, 76, 78, 80, 75, 79, 75, 79, 78, 83, 79, 77, 78, 77, 78, 78, 78, 80, 76, 75, 75, 76, 78, 78, 79, 72, 79, 76,
    77, 78, 77, 77, 78, 81, 76, 79, 76, 79, 81, 79, 79, 80, 80, 80, 79, 89, 93, 93, 90, 91, 88, 90, 90, 91, 86, 91, 89,
    83, 89, 89, 88, 89, 88, 92, 90, 91, 88, 88, 88, 88, 91, 93, 90, 91, 92, 89, 92, 87, 93, 90, 92, 89, 90, 92, 85, 90,
    92, 89, 89, 89, 87, 91, 87, 91, 91, 90, 87, 88, 90, 94, 89, 90, 91, 90, 85, 92, 91, 94, 90, 91, 88, 95, 91, 92, 94,
    92, 90, 91, 93, 92, 91, 87, 89, 91, 90, 85, 95, 95, 87, 91, 90, 91, 93, 93, 92, 91, 90, 91, 89, 86, 92, 91, 87, 90,
    90, 87, 86, 87, 87, 90, 89, 87, 86, 85, 86, 88, 91, 91, 94, 90, 91, 88, 90, 89, 88, 91, 88, 87, 93, 90, 94, 90, 91,
    96, 96, 95, 91, 89, 91, 93, 90, 89, 88, 90, 91, 93, 91, 93, 93, 91, 89, 86, 87, 90, 85, 92, 90, 90, 92, 91, 88, 92,
    90, 93, 96, 94, 92, 90, 92, 86, 87, 88, 85, 87, 84, 88, 87, 85, 85, 86, 87, 85, 88, 89, 88, 92, 89, 91, 89, 91, 89,
    91, 90, 89, 87, 92, 92, 92, 93, 90, 89, 91, 91, 88, 90, 88, 89, 89, 89, 90, 94, 95, 95, 92, 86, 88, 90, 88, 85, 87,
    91, 92, 90, 90, 90, 92, 88, 91, 92, 91, 88, 90, 87, 85, 89, 86, 85, 86, 83, 86, 86, 89, 89, 90, 88, 86, 86, 92, 88,
    83, 88, 89, 88, 89, 92, 89, 89, 92, 93, 87, 88, 91, 90, 89, 91, 90, 91, 88, 91, 91, 90, 92, 92, 90, 92, 92, 91, 89,
    91, 89, 87, 90, 89, 87, 89, 89, 89, 87, 88, 92, 90, 89, 91, 89, 90, 90, 89, 87, 86, 88, 88, 89, 89, 89, 89, 89, 88,
    87, 86, 91, 87, 89, 91, 88, 92, 90, 91, 91, 91, 89, 90, 94, 91, 91, 93, 88, 91, 93, 93, 93, 90, 90, 91, 90, 92, 91,
    94, 92, 89, 88, 93, 90, 89, 94, 93, 90, 88, 88, 87, 89, 89, 91, 86, 92, 90, 90, 90, 90, 87, 91, 89, 85, 85, 85, 81,
    85, 90, 93, 93, 94, 92, 90, 90, 90, 90, 84, 87, 89, 89, 89, 92, 91, 92, 92, 89, 92, 93, 94, 91, 92, 89, 91, 93, 90,
    91, 91, 90, 93, 94, 94, 92, 88, 88, 89, 90, 93, 89, 90, 90, 89, 88, 91, 90, 92, 93, 94, 94, 91, 88, 88, 84, 88, 88,
    85, 84, 88, 80, 86, 89, 89, 90, 89, 87, 88, 91, 90, 90, 91, 87, 91, 89, 90, 91, 88, 88, 92, 92, 94, 94, 95, 94, 96,
    93, 92, 89, 85, 87, 90, 88, 90, 90, 89, 88, 85, 90, 91, 90, 88, 88, 85, 87, 89, 90, 87, 90, 88, 90, 92, 90, 87, 90,
    86, 86, 88, 88, 85, 88, 87, 87, 85, 86, 87, 87, 86, 86, 89, 89, 93, 90, 88, 88, 90, 91, 88, 93, 96, 90, 91, 90, 87,
    89, 89, 86, 84, 87, 85, 84, 89, 86, 91, 92, 97, 92, 90, 87, 89, 90, 90, 92, 86, 89, 89, 87, 90, 88, 88, 94, 93, 92,
    93, 87, 92, 88, 87, 85, 82, 84, 83, 85, 80, 80, 87, 98, 92, 93, 90, 89, 86, 91, 86, 87, 88, 86, 82, 82, 84, 80, 90,
    98, 93, 92, 89, 90, 89, 86, 88, 84, 84, 84, 84, 83, 78, 83, 97, 91, 92, 88, 89, 89, 91, 89, 89, 87, 90, 88, 85, 84,
    88, 88, 99, 93, 89, 91, 82, 88, 89, 85, 86, 81, 83, 76, 80, 77, 79, 92, 96, 92, 88, 92, 89, 88, 89, 92, 90, 92, 89,
    87, 90, 88, 88, 97, 91, 91, 90, 89, 92, 87, 85, 79, 81, 82, 85, 84, 83, 80, 87, 95, 93, 91, 90, 91, 90, 89, 90, 86,
    87, 85, 85, 87, 84, 83, 94, 96, 92, 89, 91, 91, 89, 90, 90, 87, 90, 91, 92, 89, 86, 89, 97, 94, 90, 90, 90, 87, 89,
    90, 89, 90, 89, 89, 89, 87, 88, 93, 96, 93, 92, 92, 93, 92, 90, 86, 84, 82, 79, 76, 81, 79, 78, 98, 95, 91, 90, 88,
    85, 88, 90, 88, 88, 91, 91, 89, 87, 86, 91, 98, 93, 93, 91, 88, 88, 89, 88, 88, 87, 85, 88, 88, 86, 85, 93, 96, 90,
    90, 87, 88, 91, 87, 88, 87, 88, 87, 83, 79, 81, 85, 95, 94, 90, 91, 86, 91, 90, 90, 88, 83, 82, 82, 82, 82, 82, 86,
    98, 91, 89, 91, 89, 87, 89, 87, 87, 89, 90, 89, 88, 84, 82, 95, 94, 91, 89, 87, 89, 92, 86, 86, 85, 82, 84, 83, 79,
    80, 83, 95, 91, 90, 88, 90, 90, 89, 88, 86, 83, 78, 79, 79, 80, 77, 90, 97, 91, 91, 89, 87, 87, 89, 87, 82, 77, 81,
    79, 75, 74, 76, 96, 94, 87, 90, 91, 89, 88, 87, 88, 86, 87, 83, 85, 87, 84, 88, 98, 92, 92, 89, 86, 90, 87, 86, 82,
    82, 82, 81, 81, 79, 78, 90, 94, 90, 90, 91, 91, 92, 88, 91, 88, 89, 88, 89, 85, 87, 86, 98, 92, 91, 88, 89, 86, 91,
    90, 89, 86, 82, 81, 78, 80, 77, 87, 98, 91, 91, 88, 91, 91, 88, 90, 86, 89, 89, 88, 84, 86, 86, 95, 95, 91, 90, 91,
    90, 90, 87, 88, 88, 88, 84, 84, 84, 86, 87, 99, 93, 89, 90, 87, 87, 89, 91, 88, 88, 90, 88, 87, 90, 87, 93, 96, 90,
    91, 88, 87, 85, 90, 86, 86, 87, 87, 84, 82, 80, 80, 96, 94, 89, 89, 89, 89, 90, 90, 85, 88, 88, 87, 88, 85, 87, 88,
    95, 92, 89, 89, 88, 86, 89, 89, 84, 86, 87, 83, 89, 88, 87, 95, 96, 90, 89, 89, 88, 89, 89, 87, 86, 86, 88, 90, 87,
    85, 87, 93, 94, 92, 91, 89, 88, 90, 87, 86, 83, 84, 79, 81, 83, 78, 88, 95, 91, 90, 89, 89, 91, 90, 90, 86, 86, 84,
    84, 87, 85, 86, 93, 95, 89, 86, 91, 86, 87, 88, 85, 84, 84, 84, 82, 83, 80, 83, 96, 95, 93, 91, 93, 85, 89, 86, 82,
    81, 84, 82, 82, 81, 81, 88, 97, 89, 91, 91, 88, 89, 89, 89, 83, 86, 86, 84, 82, 82, 79, 95, 94, 92, 90, 92, 90, 90,
    91, 85, 86, 87, 90, 89, 88, 87, 88, 99, 94, 92, 90, 86, 87, 89, 88, 83, 84, 82, 80, 80, 77, 78, 92, 95, 93, 91, 90,
    90, 88, 87, 91, 88, 91, 88, 87, 88, 86, 90, 97, 94, 92, 90, 90, 89, 86, 87, 85, 88, 87, 83, 84, 84, 81, 90, 97, 92,
    92, 91, 90, 89, 89, 91, 87, 88, 87, 85, 86, 86, 81, 97, 95, 87, 87, 90, 89, 87, 87, 89, 91, 92, 93, 92, 89, 87, 87,
    97, 94, 91, 87, 90, 90, 87, 88, 88, 90, 89, 89, 86, 87, 81, 92, 94, 90, 89, 89, 89, 87, 85, 89, 85, 83, 82, 78, 80,
    79, 80, 95, 94, 89, 90, 89, 85, 87, 89, 87, 84, 86, 88, 87, 83, 81, 86, 99, 91, 92, 90, 90, 88, 89, 90, 89, 84, 87,
    86, 87, 86, 86, 93, 96, 89, 88, 90, 90, 90, 88, 90, 88, 88, 91, 89, 89, 88, 88, 97, 94, 90, 89, 89, 87, 90, 90, 88,
    88, 83, 84, 83, 84, 79, 81, 96, 91, 91, 90, 90, 89, 89, 92, 92, 91, 93, 91, 91, 88, 84, 93, 94, 92, 84, 91, 87, 89,
    89, 89, 85, 83, 81, 80, 78, 75, 78, 94, 91, 92, 91, 88, 91, 88, 88, 87, 81, 81, 82, 83, 81, 80, 91, 97, 92, 90, 90,
    88, 88, 90, 89, 84, 82, 81, 81, 79, 79, 79, 95, 94, 91, 90, 90, 87, 89, 89, 85, 87, 87, 87, 86, 87, 85, 88, 95, 91,
    87, 93, 87, 91, 89, 89, 82, 81, 82, 81, 78, 77, 79, 90, 97, 87, 90, 90, 86, 89, 86, 89, 85, 89, 89, 87, 88, 89, 87,
    96, 94, 92, 89, 89, 88, 89, 88, 84, 84, 85, 78, 76, 80, 77, 88, 96, 93, 92, 88, 89, 87, 86, 90, 87, 90, 91, 88, 86,
    87, 85, 93, 93, 89, 89, 91, 87, 89, 87, 86, 83, 86, 86, 81, 81, 80, 85, 98, 91, 91, 87, 87, 87, 90, 90, 88, 89, 91,
    90, 87, 89, 85, 93, 98, 92, 91, 90, 87, 87, 89, 87, 81, 77, 78, 80, 78, 78, 81, 94, 94, 90, 91, 90, 86, 88, 89, 89,
    90, 88, 89, 88, 90, 86, 86, 98, 93, 87, 92, 91, 89, 91, 92, 85, 87, 89, 87, 89, 91, 91, 95, 94, 91, 89, 90, 88, 88,
    88, 90, 89, 88, 91, 89, 88, 84, 89, 93, 94, 92, 92, 92, 89, 89, 88, 89, 89, 87, 88, 88, 86, 86, 93, 87, 85, 86, 92,
    89, 86, 85, 87, 84, 88, 90, 90, 88, 85, 88, 93, 90, 88, 84, 88, 85, 86, 88, 87, 84, 84, 88, 87, 83, 84, 88, 94, 87,
    89, 85, 88, 82, 84, 85, 88, 85, 82, 83, 85, 82, 80, 96, 88, 87, 85, 85, 88, 88, 85, 89, 84, 84, 81, 86, 83, 79, 81,
    96, 88, 89, 86, 91, 88, 88, 85, 89, 84, 87, 83, 85, 79, 85, 89, 90, 88, 85, 87, 85, 86, 84, 83, 83, 83, 81, 87, 88,
    78, 80, 93, 86, 86, 85, 85, 85, 83, 84, 93, 88, 86, 86, 83, 85, 82, 89, 94, 84, 88, 87, 87, 86, 83, 80, 86, 81, 77,
    84, 85, 75, 77, 87, 91, 87, 84, 89, 87, 86, 79, 85, 87, 85, 83, 86, 84, 80, 80, 96, 86, 85, 86, 87, 83, 85, 83, 87,
    85, 85, 85, 89, 86, 86, 89, 93, 86, 84, 86, 84, 81, 81, 84, 88, 84, 83, 85, 85, 85, 82, 94, 91, 85, 85, 86, 83, 83,
    84, 87, 81, 81, 82, 90, 82, 77, 79, 95, 90, 83, 83, 86, 83, 83, 84, 86, 88, 89, 88, 89, 82, 81, 89, 93, 86, 85, 88,
    85, 81, 81, 86, 88, 78, 86, 86, 86, 84, 84, 94, 89, 84, 82, 87, 82, 82, 83, 87, 87, 86, 88, 86, 86, 87, 89, 96, 88,
    88, 83, 81, 78, 81, 89, 96, 88, 88, 85, 80, 74, 79, 94, 94, 85, 86, 84, 78, 77, 82, 96, 91, 87, 88, 84, 82, 81, 82,
    96, 87, 84, 87, 85, 82, 79, 81, 97, 84, 89, 85, 84, 77, 81, 90, 96, 86, 87, 82, 80, 79, 77, 88, 95, 85, 89, 83, 78,
    79, 79, 95, 91, 87, 89, 82, 81, 78, 82, 98, 90, 85, 86, 83, 81, 80, 82, 96, 86, 84, 86, 82, 82, 81, 85, 95, 87, 86,
    84, 84, 82, 80, 91, 95, 86, 87, 85, 82, 79, 83, 92, 93, 85, 89, 82, 79, 78, 76, 95, 88, 89, 86, 82, 80, 78, 83, 98,
    88, 90, 88, 80, 79, 79, 85, 96, 93, 90, 89, 96, 88, 91, 87, 97, 94, 90, 92, 95, 92, 91, 93, 94, 81, 89, 96, 94, 91,
    91, 96, 91, 91, 87, 97, 91, 91, 87, 96, 88, 88, 87, 94, 89, 90, 89, 96, 89, 90, 91, 96, 88, 90, 93, 95, 88, 90, 92,
    96, 86, 89, 93, 93, 86, 89, 95, 93, 90, 89, 81, 78, 81, 80, 79, 72, 72, 72, 75, 73, 71, 70, 70, 66, 67, 67, 69, 69,
    64, 64, 62, 61, 63, 68, 64, 68, 61, 62, 63, 63, 63, 69, 76, 78, 78, 74, 80, 78, 80, 82, 79, 82, 79, 78, 77, 74, 77,
    91, 94, 94, 94, 91, 90, 92, 90, 92, 88, 90, 91, 84, 83, 84, 85, 95, 94, 91, 90, 89, 88, 89, 88, 82, 74, 75, 74, 92,
    90, 93, 97, 97, 90, 91, 91, 85, 91, 88, 88, 88, 91, 95, 92, 94, 94, 93, 93, 95, 92, 86, 91, 89, 90, 90, 85, 83, 85,
    84, 92, 90, 91, 93, 96, 93, 91, 88, 90, 91, 88, 87, 90, 89, 92, 92, 92, 94, 94, 96, 96, 92, 89, 91, 86, 89, 88, 83,
    75, 82, 83, 94, 87, 93, 94, 97, 95, 91, 91, 90, 87, 88, 87, 96, 93, 95, 93, 93, 92, 93, 93, 98, 92, 91, 91, 89, 90,
    86, 87, 80, 79, 73, 86, 93, 93, 95, 96, 97, 88, 91, 89, 89, 89, 90, 92, 89, 96, 95, 96, 95, 95, 93, 97, 91, 91, 89,
    90, 88, 88, 86, 84, 78, 73, 84, 95, 96, 98, 97, 98, 90, 91, 90, 88, 87, 88, 93, 93, 95, 96, 97, 97, 97, 97, 95, 95,
    91, 91, 90, 90, 86, 88, 93, 88, 94, 92, 97, 97, 97, 94, 96, 93, 91, 88, 87, 88, 90, 92, 94, 93, 95, 95, 95, 96, 96,
    96, 98, 91, 88, 90, 91, 88, 89, 87, 77, 77, 75, 92, 95, 96, 98, 98, 93, 91, 88, 90, 87, 89, 88, 96, 95, 97, 97, 97,
    97, 96, 94, 98, 92, 90, 88, 89, 90, 88, 85, 84, 78, 84, 90, 93, 94, 96, 97, 96, 92, 90, 90, 88, 88, 88, 92, 86, 93,
    93, 96, 93, 97, 95, 97, 92, 91, 89, 88, 89, 88, 89, 81, 76, 74, 77, 91, 91, 93, 96, 97, 93, 91, 88, 91, 87, 88, 92,
    89, 92, 93, 92, 90, 90, 93, 96, 93, 90, 88, 88, 87, 89, 88, 87, 81, 82, 80, 93, 92, 95, 93, 99, 92, 91, 90, 86, 90,
    87, 89, 87, 91, 92, 91, 92, 94, 92, 93, 96, 92, 91, 89, 89, 88, 83, 87, 76, 78, 81, 93, 90, 94, 96, 98, 92, 91, 88,
    90, 88, 89, 88, 92, 87, 90, 93, 93, 93, 93, 93, 98, 93, 90, 90, 89, 91, 91, 90, 82, 77, 77, 85, 93, 94, 94, 95, 95,
    90, 87, 91, 86, 88, 91, 94, 93, 96, 95, 94, 94, 93, 92, 96, 92, 88, 88, 89, 88, 88, 89, 81, 73, 78, 80, 92, 90, 94,
    94, 96, 92, 90, 88, 88, 88, 88, 89, 91, 92, 95, 95, 97, 97, 97, 98, 96, 92, 88, 91, 85, 90, 89, 92, 92, 95, 94, 94,
    96, 97, 95, 99, 90, 90, 89, 89, 88, 89, 87, 94, 94, 96, 94, 95, 95, 95, 94, 96, 91, 90, 89, 88, 90, 89, 86, 77, 74,
    82, 92, 89, 91, 94, 97, 94, 90, 90, 87, 89, 88, 87, 95, 91, 96, 96, 97, 97, 97, 96, 96, 92, 89, 90, 87, 87, 88, 84,
    82, 81, 85, 89, 92, 91, 94, 94, 96, 91, 90, 89, 90, 88, 87, 92, 92, 94, 94, 92, 94, 95, 92, 96, 94, 91, 90, 88, 87,
    88, 87, 80, 80, 80, 82, 92, 91, 93, 94, 98, 92, 89, 90, 89, 88, 90, 89, 89, 89, 90, 91, 90, 90, 90, 96, 94, 91, 90,
    90, 87, 90, 88, 86, 81, 82, 81, 95, 89, 91, 94, 97, 93, 88, 89, 88, 89, 89, 85, 91, 90, 90, 93, 94, 94, 93, 94, 96,
    92, 89, 89, 87, 90, 86, 87, 83, 83, 81, 92, 93, 95, 95, 96, 95, 89, 90, 90, 87, 89, 90, 95, 92, 96, 95, 94, 92, 95,
    93, 97, 92, 91, 85, 91, 89, 90, 90, 82, 77, 78, 89, 93, 94, 95, 94, 95, 91, 90, 89, 88, 89, 89, 93, 90, 95, 95, 95,
    96, 94, 93, 98, 93, 91, 88, 88, 86, 86, 86, 84, 74, 76, 86, 91, 88, 94, 95, 98, 91, 91, 91, 88, 89, 89, 92, 89, 91,
    93, 95, 96, 96, 96, 94, 95, 92, 89, 90, 86, 89, 89, 90, 91, 93, 96, 97, 96, 97, 96, 96, 92, 90, 89, 82, 88, 89, 87,
    93, 93, 96, 96, 97, 97, 98, 96, 97, 89, 89, 90, 90, 90, 88, 86, 78, 75, 82, 93, 95, 97, 97, 98, 94, 90, 89, 88, 84,
    89, 89, 94, 91, 90, 93, 90, 93, 92, 85, 97, 92, 91, 90, 88, 90, 87, 86, 81, 82, 81, 90, 92, 94, 93, 96, 96, 92, 89,
    91, 86, 89, 87, 94, 91, 94, 95, 96, 96, 95, 96, 99, 91, 90, 90, 90, 83, 88, 85, 86, 80, 80, 85, 93, 91, 93, 93, 96,
    91, 89, 87, 89, 90, 90, 91, 90, 91, 93, 92, 93, 95, 90, 95, 94, 92, 89, 90, 89, 90, 90, 82, 83, 86, 87, 91, 92, 91,
    92, 97, 90, 91, 90, 89, 89, 87, 90, 93, 91, 93, 94, 95, 93, 93, 94, 97, 91, 90, 91, 86, 90, 90, 87, 82, 86, 89, 90,
    92, 93, 95, 96, 93, 92, 89, 90, 88, 91, 91, 95, 95, 94, 95, 95, 95, 95, 91, 98, 92, 91, 90, 89, 89, 85, 87, 81, 82,
    85, 87, 92, 93, 95, 97, 96, 91, 89, 90, 90, 89, 89, 91, 92, 94, 95, 93, 92, 94, 94, 98, 94, 91, 89, 88, 88, 88, 86,
    84, 80, 77, 85, 91, 88, 92, 93, 96, 93, 90, 88, 88, 88, 89, 89, 89, 93, 95, 96, 97, 97, 97, 97, 95, 92, 91, 90, 91,
    89, 89, 92, 94, 96, 98, 98, 98, 98, 97, 96, 93, 88, 88, 89, 87, 89, 90, 94, 92, 95, 92, 93, 90, 88, 95, 95, 92, 91,
    89, 89, 88, 90, 87, 80, 78, 82, 93, 86, 94, 96, 98, 95, 90, 89, 90, 87, 87, 87, 96, 96, 98, 97, 98, 97, 97, 95, 86,
    85, 85, 86, 87, 87, 86, 87, 83, 83, 82, 83, 83, 84, 85, 81, 83, 84, 84, 88, 88, 87, 85, 81, 84, 85, 88, 88, 89, 89,
    92, 99, 88, 88, 89, 86, 88, 85, 87, 84, 85, 82, 83, 86, 88, 86, 89, 86, 86, 88, 84, 84, 84, 81, 96, 94, 91, 87, 89,
    90, 87, 87, 82, 85, 87, 82, 89, 85, 86, 87, 84, 85, 83, 85, 85, 83, 83, 86, 97, 90, 86, 85, 85, 87, 84, 86, 83, 85,
    83, 84, 85, 85, 82, 94, 95, 89, 88, 84, 88, 86, 84, 85, 85, 82, 87, 85, 85, 86, 85, 85, 86, 85, 85, 85, 86, 85, 86,
    83, 84, 86, 86, 87, 87, 87, 86, 87, 86, 87, 85, 86, 87, 88, 94, 95, 88, 89, 88, 85, 85, 87, 95, 93, 89, 88, 86, 89,
    86, 84, 85, 87, 85, 86, 88, 87, 85, 89, 99, 92, 89, 87, 86, 86, 84, 85, 84, 82, 83, 85, 83, 85, 85, 80, 83, 85, 85,
    87, 86, 84, 85, 95, 92, 92, 89, 89, 86, 86, 82, 85, 79, 81, 81, 86, 86, 87, 85, 86, 87, 84, 86, 85, 84, 84, 88, 96,
    90, 86, 86, 89, 88, 84, 85, 83, 81, 84, 85, 83, 85, 84, 91, 94, 91, 88, 86, 84, 84, 88, 86, 80, 79, 84, 82, 83, 84,
    85, 84, 84, 82, 83, 84, 85, 85, 86, 83, 87, 86, 88, 87, 87, 89, 87, 84, 83, 83, 85, 86, 85, 85, 93, 95, 91, 89, 86,
    85, 87, 82, 97, 92, 90, 85, 84, 88, 85, 86, 85, 86, 87, 84, 84, 87, 86, 89, 98, 91, 88, 88, 88, 85, 84, 81, 83, 80,
    81, 81, 84, 84, 83, 84, 84, 82, 84, 79, 83, 80, 83, 94, 93, 90, 90, 85, 87, 88, 89, 85, 82, 81, 81, 78, 84, 86, 86,
    85, 83, 79, 80, 85, 80, 83, 85, 97, 92, 89, 87, 88, 88, 85, 83, 79, 79, 79, 81, 78, 82, 82, 85, 94, 89, 89, 88, 84,
    87, 86, 80, 84, 84, 85, 88, 84, 85, 86, 82, 83, 85, 84, 87, 86, 86, 89, 86, 84, 86, 86, 87, 86, 84, 83, 84, 87, 84,
    85, 88, 84, 82, 95, 92, 90, 88, 88, 87, 87, 83, 94, 92, 89, 88, 87, 83, 86, 83, 83, 85, 83, 87, 84, 87, 85, 89, 98,
    91, 88, 87, 87, 83, 88, 83, 83, 83, 84, 85, 84, 85, 82, 86, 83, 82, 83, 83, 83, 85, 85, 94, 93, 89, 91, 88, 88, 87,
    84, 84, 81, 81, 83, 83, 80, 82, 83, 85, 85, 87, 85, 84, 84, 86, 86, 98, 91, 88, 89, 88, 87, 89, 82, 88, 88, 89, 87,
    87, 85, 88, 94, 94, 88, 86, 88, 88, 86, 87, 81, 84, 84, 86, 84, 83, 84, 80, 86, 85, 85, 84, 84, 86, 86, 87, 86, 88,
    87, 89, 90, 91, 87, 87, 87, 88, 88, 87, 89, 87, 87, 94, 95, 93, 90, 85, 85, 88, 86, 93, 94, 88, 88, 88, 87, 84, 84,
    85, 87, 86, 87, 88, 88, 89, 87, 98, 89, 89, 88, 87, 90, 89, 85, 83, 85, 83, 87, 88, 86, 84, 84, 86, 85, 86, 85, 86,
    89, 88, 95, 92, 88, 89, 86, 91, 88, 81, 81, 84, 85, 86, 85, 87, 87, 87, 84, 86, 82, 86, 87, 86, 87, 89, 97, 88, 88,
    86, 87, 84, 88, 87, 82, 86, 86, 84, 84, 85, 83, 94, 94, 91, 88, 86, 89, 85, 84, 86, 86, 81, 87, 87, 86, 87, 86, 88,
    87, 86, 86, 86, 83, 86, 86, 86, 84, 84, 89, 88, 86, 89, 84, 86, 83, 83, 82, 80, 86, 86, 92, 95, 90, 88, 85, 87, 86,
    84, 95, 90, 90, 87, 89, 89, 82, 87, 82, 79, 84, 87, 84, 89, 87, 87, 97, 91, 84, 88, 88, 86, 86, 86, 82, 83, 84, 83,
    84, 84, 85, 86, 84, 83, 84, 86, 89, 84, 85, 95, 94, 90, 87, 86, 89, 85, 82, 85, 81, 83, 86, 85, 87, 85, 87, 84, 86,
    87, 87, 86, 86, 89, 90, 96, 91, 85, 85, 85, 87, 87, 80, 84, 86, 86, 84, 83, 82, 89, 91, 93, 89, 86, 86, 86, 87, 86,
    79, 84, 83, 84, 88, 85, 84, 85, 84, 84, 85, 85, 81, 86, 83, 80, 81, 84, 84, 85, 87, 88, 86, 84, 83, 81, 83, 85, 81,
    83, 83, 94, 95, 92, 92, 87, 87, 88, 83, 94, 90, 89, 82, 85, 89, 81, 84, 84, 84, 85, 87, 87, 87, 87, 89, 98, 91, 90,
    88, 87, 86, 87, 85, 83, 78, 85, 85, 83, 84, 84, 84, 81, 80, 83, 81, 83, 86, 83, 93, 93, 90, 89, 88, 86, 86, 85, 82,
    77, 83, 81, 82, 87, 86, 82, 85, 81, 84, 88, 83, 84, 81, 84, 92, 91, 84, 86, 90, 91, 89, 84, 84, 83, 84, 85, 87, 86,
    86, 95, 94, 92, 89, 86, 90, 88, 87, 89, 86, 85, 89, 87, 86, 87, 85, 81, 86, 84, 86, 84, 85, 87, 87, 83, 85, 85, 85,
    87, 88, 87, 85, 86, 84, 81, 84, 85, 88, 85, 93, 94, 90, 90, 88, 89, 86, 84, 95, 92, 90, 88, 85, 89, 86, 88, 81, 82,
    81, 85, 85, 84, 87, 85, 97, 91, 90, 86, 88, 89, 86, 87, 84, 85, 85, 86, 85, 87, 87, 87, 86, 85, 85, 86, 90, 90, 87,
    94, 94, 91, 89, 88, 90, 86, 85, 77, 84, 84, 84, 83, 85, 87, 88, 85, 87, 84, 85, 85, 86, 87, 90, 96, 93, 89, 88, 84,
    86, 86, 85, 84, 83, 85, 83, 88, 88, 83, 92, 90, 89, 87, 85, 86, 86, 85, 86, 83, 80, 84, 86, 84, 84, 83, 84, 85, 82,
    84, 87, 87, 87, 87, 87, 86, 87, 85, 89, 85, 87, 87, 82, 80, 79, 77, 81, 80, 83, 86, 84, 83, 86, 81, 82, 81, 82, 80,
    83, 82, 79, 90, 84, 87, 86, 84, 85, 87, 89, 87, 91, 89, 89, 95, 92, 93, 91, 87, 89, 86, 86, 83, 85, 85, 86, 87, 87,
    86, 86, 83, 85, 81, 81, 85, 86, 84, 83, 85, 83, 84, 84, 83, 81, 81, 81, 81, 82, 85, 86, 83, 81, 87, 83, 82, 82, 82,
    81, 76, 82, 82, 81, 80, 80, 82, 81, 82, 84, 80, 81, 85, 82, 78, 79, 79, 80, 79, 82, 79, 81, 81, 78, 82, 81, 78, 82,
    82, 80, 77, 78, 78, 78, 80, 72, 78, 76, 80, 79, 78, 77, 74, 78, 74, 82, 80, 79, 79, 74, 78, 77, 75, 75, 76, 79, 75,
    75, 77, 79, 79, 76, 79, 76, 74, 79, 71, 77, 76, 75, 76, 72, 74, 68, 73, 75, 72, 71, 75, 71, 75, 75, 73, 75, 67, 71,
    71, 71, 73, 75, 74, 67, 71, 72, 72, 71, 74, 75, 72, 73, 71, 71, 73, 70, 70, 68, 68, 67, 71, 64, 62, 65, 67, 69, 65,
    71, 70, 69, 66, 68, 66, 65, 70, 70, 67, 62, 66, 68, 67, 70, 68, 66, 66, 66, 68, 63, 66, 66, 64, 64, 63, 65, 62, 67,
    64, 63, 64, 59, 62, 64, 60, 64, 64, 68, 61, 64, 62, 58, 65, 59, 63, 63, 60, 59, 61, 64, 61, 60, 59, 61, 59, 62, 57,
    60, 60, 59, 63, 61, 58, 59, 58, 61, 58, 54, 60, 62, 62, 60, 56, 58, 59, 60, 58, 59, 57, 58, 57, 53, 58, 54, 59, 61,
    56, 56, 59, 55, 58, 57, 53, 57, 53, 57, 55, 54, 54, 51, 55, 51, 58, 54, 52, 55, 59, 56, 56, 56, 59, 52, 56, 51, 49,
    55, 53, 55, 53, 53, 50, 53, 50, 51, 54, 49, 53, 53, 53, 53, 53, 55, 56, 55, 51, 52, 51, 48, 47, 50, 47, 46, 51, 48,
    51, 48, 48, 51, 51, 45, 50, 49, 49, 51, 50, 43};
